# eric6.Preferences.ConfigurationPages.MimeTypesPage

Module implementing the Text Mime Types configuration page.

### Global Attributes

None

### Classes

MimeTypesPage | Class implementing the Text Mime Types configuration page.

### Functions

create | Module function to create the configuration page.

## MimeTypesPage

Class implementing the Text Mime Types configuration page.

### Derived from

ConfigurationPageBase, Ui_MimeTypesPage

### Class Attributes

None

### Class Methods

None

### Methods

MimeTypesPage | Constructor
__setToDefault | Private slot to set the message list to the default values.
on_resetButton_clicked | Private slot to set the default list of mime types.
save | Public slot to save the Interface configuration.

### Static Methods

None

#### MimeTypesPage (Constructor)

MimeTypesPage()

Constructor

#### MimeTypesPage.__setToDefault

__setToDefault()

Private slot to set the message list to the default values.

#### MimeTypesPage.on_resetButton_clicked

on_resetButton_clicked()

Private slot to set the default list of mime types.

#### MimeTypesPage.save

save()

Public slot to save the Interface configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up